> ## Documentation Index
> Fetch the complete documentation index at: https://docs.man0.space/llms.txt
> Use this file to discover all available pages before exploring further.

# Read an Intents status

> Read a deposit route’s current settlement status and available transaction links.



## OpenAPI

````yaml openapi.json GET /api/near/intents/status
openapi: 3.0.3
info:
  title: Man0 API
  version: 1.0.0
  description: Man0 workflows, catalog, accounts and NEAR Intents.
servers:
  - url: https://api.man0.space
security: []
tags:
  - name: System
  - name: Accounts
  - name: Authentication
  - name: Catalog
  - name: Vibe and media
  - name: Workflows
  - name: Drafts
  - name: Execution
  - name: Analytics
  - name: NEAR accounts
  - name: Intents
paths:
  /api/near/intents/status:
    get:
      tags:
        - Intents
      summary: Read an Intents status
      description: >-
        Read a deposit route’s current settlement status and available
        transaction links.
      operationId: intents_status
      parameters:
        - name: depositAddress
          in: query
          required: true
          schema:
            type: string
            minLength: 1
            maxLength: 256
        - name: depositMemo
          in: query
          required: false
          schema:
            type: string
            minLength: 1
            maxLength: 256
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntentStatus'
        '400':
          description: Invalid request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication required or expired.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Permission or current consent required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '409':
          description: Resource or policy changed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '429':
          description: Request rate exceeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '503':
          description: Service unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - man0Auth: []
components:
  schemas:
    IntentStatus:
      $ref: '#/components/schemas/GetExecutionStatusResponse'
    Error:
      type: object
      properties:
        error:
          type: string
        code:
          type: string
        threadId:
          type: string
        missing:
          type: array
          items:
            $ref: '#/components/schemas/MissingConnectorRequirement'
        missingInputs:
          type: array
          items:
            $ref: '#/components/schemas/MissingInputRequirement'
      required:
        - error
    GetExecutionStatusResponse:
      type: object
      properties:
        correlationId:
          type: string
        quoteResponse:
          $ref: '#/components/schemas/QuoteResponse'
        status:
          $ref: '#/components/schemas/GetExecutionStatusResponse.status'
        updatedAt:
          type: string
        swapDetails:
          $ref: '#/components/schemas/SwapDetails'
      required:
        - correlationId
        - quoteResponse
        - status
        - updatedAt
        - swapDetails
    MissingConnectorRequirement:
      type: object
      properties:
        entryId:
          type: string
        slug:
          type: string
        name:
          type: string
        type:
          type: string
          enum:
            - account
            - gated
        userAddress:
          type: string
        missingVars:
          type: array
          items:
            type: object
            properties:
              varName:
                type: string
              description:
                type: string
              obtainUrl:
                type: string
            required:
              - varName
        reason:
          type: string
        agentWallet:
          type: string
        runId:
          type: string
        threadId:
          type: string
        requestId:
          type: string
      required:
        - entryId
        - slug
        - name
        - type
        - reason
    MissingInputRequirement:
      type: object
      properties:
        stepId:
          type: string
        stepLabel:
          type: string
        modelId:
          type: string
        modelName:
          type: string
        acceptedInputs:
          type: array
          items:
            type: string
        questions:
          type: array
          items:
            type: string
        reason:
          type: string
        agentWallet:
          type: string
        runId:
          type: string
        threadId:
          type: string
        proposalId:
          type: string
      required:
        - stepId
        - stepLabel
        - acceptedInputs
        - reason
    QuoteResponse:
      type: object
      properties:
        correlationId:
          type: string
        timestamp:
          type: string
        signature:
          type: string
        quoteRequest:
          $ref: '#/components/schemas/QuoteRequest'
        quote:
          $ref: '#/components/schemas/Quote'
      required:
        - correlationId
        - timestamp
        - signature
        - quoteRequest
        - quote
    GetExecutionStatusResponse.status:
      type: string
      enum:
        - KNOWN_DEPOSIT_TX
        - PENDING_DEPOSIT
        - INCOMPLETE_DEPOSIT
        - PROCESSING
        - SUCCESS
        - REFUNDED
        - FAILED
    SwapDetails:
      type: object
      properties:
        intentHashes:
          type: array
          items:
            type: string
        nearTxHashes:
          type: array
          items:
            type: string
        amountIn:
          type: string
        amountInFormatted:
          type: string
        amountInUsd:
          type: string
        amountOut:
          type: string
        amountOutFormatted:
          type: string
        amountOutUsd:
          type: string
        slippage:
          type: number
        originChainTxHashes:
          type: array
          items:
            $ref: '#/components/schemas/TransactionDetails'
        destinationChainTxHashes:
          type: array
          items:
            $ref: '#/components/schemas/TransactionDetails'
        refundedAmount:
          type: string
        refundedAmountFormatted:
          type: string
        refundedAmountUsd:
          type: string
        refundReason:
          type: string
        depositedAmount:
          type: string
        depositedAmountFormatted:
          type: string
        depositedAmountUsd:
          type: string
        withdrawFee:
          type: string
        referral:
          type: string
      required:
        - intentHashes
        - nearTxHashes
        - originChainTxHashes
        - destinationChainTxHashes
    QuoteRequest:
      type: object
      properties:
        dry:
          type: boolean
        depositMode:
          $ref: '#/components/schemas/QuoteRequest.depositMode'
        swapType:
          $ref: '#/components/schemas/QuoteRequest.swapType'
        slippageTolerance:
          type: number
        originAsset:
          type: string
        depositType:
          $ref: '#/components/schemas/QuoteRequest.depositType'
        destinationAsset:
          type: string
        amount:
          type: string
        refundTo:
          type: string
        refundType:
          $ref: '#/components/schemas/QuoteRequest.refundType'
        recipient:
          type: string
        connectedWallets:
          type: array
          items:
            type: string
        sessionId:
          type: string
        virtualChainRecipient:
          type: string
        virtualChainRefundRecipient:
          type: string
        customRecipientMsg:
          type: string
        recipientType:
          $ref: '#/components/schemas/QuoteRequest.recipientType'
        deadline:
          type: string
        confidentiality:
          $ref: '#/components/schemas/QuoteRequest.confidentiality'
        referral:
          type: string
        rebates:
          type: array
          items:
            $ref: '#/components/schemas/Rebate'
        quoteWaitingTimeMs:
          type: number
        appFees:
          type: array
          items:
            $ref: '#/components/schemas/AppFee'
        insured:
          type: boolean
      required:
        - dry
        - swapType
        - slippageTolerance
        - originAsset
        - depositType
        - destinationAsset
        - amount
        - refundTo
        - refundType
        - recipient
        - recipientType
        - deadline
    Quote:
      type: object
      properties:
        depositAddress:
          type: string
        depositMemo:
          type: string
        chainDepositAddresses:
          type: array
          items:
            $ref: '#/components/schemas/ChainDepositAddress'
        amountIn:
          type: string
        amountInFormatted:
          type: string
        amountInUsd:
          type: string
        minAmountIn:
          type: string
        amountOut:
          type: string
        amountOutFormatted:
          type: string
        amountOutUsd:
          type: string
        minAmountOut:
          type: string
        deadline:
          type: string
        timeWhenInactive:
          type: string
        timeEstimate:
          type: number
        virtualChainRecipient:
          type: string
        virtualChainRefundRecipient:
          type: string
        customRecipientMsg:
          type: string
        refundFee:
          type: string
        withdrawFee:
          type: string
      required:
        - amountIn
        - amountInFormatted
        - amountInUsd
        - minAmountIn
        - amountOut
        - amountOutFormatted
        - amountOutUsd
        - minAmountOut
        - timeEstimate
    TransactionDetails:
      type: object
      properties:
        hash:
          type: string
        explorerUrl:
          type: string
      required:
        - hash
        - explorerUrl
    QuoteRequest.depositMode:
      type: string
      enum:
        - SIMPLE
        - MEMO
    QuoteRequest.swapType:
      type: string
      enum:
        - EXACT_INPUT
        - EXACT_OUTPUT
        - FLEX_INPUT
        - ANY_INPUT
    QuoteRequest.depositType:
      type: string
      enum:
        - ORIGIN_CHAIN
        - INTENTS
        - CONFIDENTIAL_INTENTS
    QuoteRequest.refundType:
      type: string
      enum:
        - ORIGIN_CHAIN
        - INTENTS
        - CONFIDENTIAL_INTENTS
    QuoteRequest.recipientType:
      type: string
      enum:
        - DESTINATION_CHAIN
        - INTENTS
        - CONFIDENTIAL_INTENTS
    QuoteRequest.confidentiality:
      type: string
      enum:
        - public
        - basic
        - advanced
    Rebate:
      type: object
      properties:
        recipient:
          type: string
        share:
          type: number
      required:
        - recipient
        - share
    AppFee:
      type: object
      properties:
        recipient:
          type: string
        fee:
          type: number
      required:
        - recipient
        - fee
    ChainDepositAddress:
      type: object
      properties:
        blockchain:
          $ref: '#/components/schemas/ChainDepositAddress.blockchain'
        address:
          type: string
        memo:
          type: string
      required:
        - blockchain
        - address
    ChainDepositAddress.blockchain:
      type: string
      enum:
        - near
        - eth
        - base
        - arb
        - btc
        - sol
        - ton
        - dash
        - doge
        - xrp
        - zec
        - gnosis
        - bera
        - bsc
        - pol
        - tron
        - sui
        - movement
        - op
        - avax
        - stellar
        - aptos
        - cardano
        - ltc
        - xlayer
        - monad
        - bch
        - adi
        - plasma
        - scroll
        - starknet
        - aleo
        - hypercore
        - fogo
        - hood
        - hlevm
  securitySchemes:
    man0Auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Man0 authentication token returned by sign-in.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.